Index: /trunk/LMDZ.VENUS/libf/phyvenus/conf_phys.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/conf_phys.F90	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/conf_phys.F90	(revision 1661)
@@ -334,4 +334,16 @@
   ok_cloud = .FALSE.
   call getin('ok_cloud',ok_cloud)
+
+!
+!Config Key  = cl_scheme
+!Config Desc =
+!Config Def  = 2
+!Config Help =
+!
+! 1   = Simple microphysics (Aurelien Stolzenbach's PhD)
+! 2   = Full microphysics (momentum scheme, Sabrina Guilbon's PhD)
+
+  cl_scheme = 2
+  call getin('cl_scheme',cl_scheme)
 
 !
Index: /trunk/LMDZ.VENUS/libf/phyvenus/ini_histins.h
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/ini_histins.h	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/ini_histins.h	(revision 1661)
@@ -141,5 +141,5 @@
      .                "ins(X)", zsto,zout)
 c
-          if (ok_cloud) THEN
+          if (ok_cloud.and.(cl_scheme.eq.1)) THEN
 
           if (nb_mode.GE.1) THEN 
@@ -235,5 +235,5 @@
 		ENDIF
 		
-          if (ok_sedim) THEN
+          if (ok_sedim.and.(cl_scheme.eq.1)) THEN
 c
          CALL histdef(nid_ins, "d_tr_sed_H2SO4", "var mmr from sedim",
@@ -257,4 +257,5 @@
 c
 		ENDIF
+
       ENDIF !lev_histins.GE.2
 c
Index: /trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_venus.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_venus.F	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_venus.F	(revision 1661)
@@ -34,5 +34,5 @@
 !----------------------------------------------------------------------------
 !     Thermodynamic functions:
-      REAL :: RHODROPLET
+      REAL :: ROSAS
 !----------------------------------------------------------------------------
 !     Auxilary variables:
@@ -134,6 +134,5 @@
      &    mrt_wv(ilon,ilev),mrt_sa(ilon,ilev),NBROOT)
 
-          rho_droplet(ilon,ilev)=RHODROPLET(WH2SO4(ilon,ilev),
-     &    TT(ilon,ilev))
+          rho_droplet(ilon,ilev)=ROSAS(TT(ilon,ilev),WH2SO4(ilon,ilev))
 
 !          IF (rho_droplet(ilon,ilev).LT.1100.) THEN
@@ -141,6 +140,5 @@
 !            PRINT*,'rho_droplet',rho_droplet(ilon,ilev)
 !            PRINT*,'T',TT(ilon,ilev),'WSA',WH2SO4(ilon,ilev)
-!            PRINT*,'RHODROPLET',RHODROPLET(WH2SO4(ilon,ilev),
-!     &      TT(ilon,ilev))
+!            PRINT*,'RHODROPLET',ROSAS(TT(ilon,ilev),WH2SO4(ilon,ilev))
 !            PRINT*,'FLAG',FLAG,'NROOT',NBROOT
 !            STOP
@@ -204,6 +202,5 @@
           WH2SO4(ilon,ilev)=WSAFLAG
 
-          rho_droplet(ilon,ilev)=RHODROPLET(WH2SO4(ilon,ilev),
-     &    TT(ilon,ilev))
+          rho_droplet(ilon,ilev)=ROSAS(TT(ilon,ilev),WH2SO4(ilon,ilev))
 
 !     ATTENTION ce IF ne sert a rien en fait, juste a retenir une situation
@@ -211,5 +208,5 @@
 !     incoherentes avec TT et WH2SO4 (a priori lorsque NTOT=0)
 !     Juste le fait de METTRE un IF fait que rho_droplet a la bonne valeur
-!     donne par RHODROPLET (cf test externe en Python), sinon, la valeur est trop
+!     donne par ROSAS (cf test externe en Python), sinon, la valeur est trop
 !     basse (de l'ordre de 1000 kg/m3) et correspond parfois a la valeur avec
 !     WSA=0.1 (pas totalement sur)
@@ -223,6 +220,5 @@
             PRINT*,'rho_droplet',rho_droplet(ilon,ilev)
             PRINT*,'T',TT(ilon,ilev),'WSA',WH2SO4(ilon,ilev)
-            PRINT*,'RHODROPLET',RHODROPLET(WH2SO4(ilon,ilev),
-     &      TT(ilon,ilev))
+            PRINT*,'RHODROPLET',ROSAS(TT(ilon,ilev),WH2SO4(ilon,ilev))
             PRINT*,'FLAG',FLAG,'NROOT',NBROOT
             STOP
